<template>
  <div class="c-app">
    <div class="c-sidebar c-sidebar-dark c-sidebar-fixed" :class="{ 'c-sidebar-lg-show': !$page.url.startsWith('/apps/transactions') }" id="sidebar">
      <div class="c-sidebar-brand d-lg-down-none" style="background: #34495E;">
        <span class="ml-2 font-weight-bold">GreenK Cashier</span>
      </div>

      <!-- sidebar -->
      <Sidebar />

    </div>
    <div class="c-wrapper c-fixed-components">
      
      <!-- header -->
      <Header />

      <div class="c-body">

        <!-- content -->
        <slot />

        <footer class="c-footer">
          <span><strong>&copy;2022 GreenK Cashier.</strong> All Rights Reserved.</span>
        </footer>
      </div>
    </div>
  </div>
</template>

<script>

  // import components
  import Header from '../Components/Header.vue'
  import Sidebar from '../Components/Sidebar.vue'

  export default {
    //register components
    components: {
      Header,
      Sidebar
    }

  }
</script>

<style>
</style>